
-- Horizont pro EdgeTX kresleny pro rx SR (X,Y)

local picture = Bitmap.open("/WIDGETS/Hzont60E/img/mask134.png")
local podklad = Bitmap.open("/WIDGETS/Hzont60E/img/podl122.png")
local panel = Bitmap.open("/WIDGETS/Hzont60E/img/panel1.png")

local R=60
local Rpul=R/2
local X1=5
local X2=X1+6
local X3=X2+R
local X4=X3+R
local Y1=5
local Y2=Y1+6
local Y3=Y2+R
local Y4=Y3+R
   
-- 1=YELLOW, 2=WHITE, 3=RED, 4=GREEN, 5=BLUE, 6=BLACK
local barva = {YELLOW, WHITE, RED, GREEN, BLUE, BLACK}

local options = {
  {"kalX", VALUE, 0, -Rpul, Rpul},  -- nastavení nuly 
  {"kalY", VALUE, 0, -Rpul, Rpul},
  {"barvaTxt", VALUE, 2, 1, 6},
  {"invK", BOOL, 0},            -- opačný sklon
  {"invV", BOOL, 0}
 }
-----------------------------------------------------
local function create(zone, options)
 local wgt = {zone = zone, options = options}
return wgt
end
-------------------------------------------------------
local function update(wgt, options)
  if (wgt == nil) then
    return
  end
 wgt.options = options
end
---------------------------------------------
local function background(wgt)
  return
end
--------------------------------------------------------
function round(num, decimals)
  local mult = 10^(decimals or 0)
  return math.floor(num * mult + 0.5) / mult
end
--------------------------------------------------------
--------------------------------------------------------
function refresh(wgt)

if (wgt == nil) then
  return
end
if (wgt.options == nil) then
  return
end
if wgt.zone.h < 120 then 
  lcd.drawText(wgt.zone.x+2,wgt.zone.y+5,"Vyjmout!")
  return
end

local vys = 0
local kri = 0   
-------------------------------------------
kri = getValue("AccY")    --
kri = (kri*90) + wgt.options.kalX 
if wgt.options.invK==1 then kri = 0 - kri end
     
vys = getValue("AccX")     --
vys = (vys*90) + wgt.options.kalY
if wgt.options.invV==1 then vys = 0 - vys end

kri=math.floor(kri)
vys=math.floor(vys)

--------------------------------------
if vys>Rpul then vys=Rpul end
if vys<-Rpul then vys=-Rpul end

local minus=0
if kri<0 then minus=1 end

if kri>Rpul then kri=Rpul end
if kri<-Rpul then kri=-Rpul end
---------------------------------------------
local pkri=math.abs(kri) 
local Hy=Y3-pkri-vys     
local Hkri=2*pkri    
local Dy=Hy+Hkri
local Hobd=Y4-Dy+1
------------------------------------------
lcd.drawBitmap(podklad,X2,Y2) 
if pkri>0 then 
 if minus==0 then       
   lcd.drawFilledTriangle(X2, Dy, X4, Dy, X4, Hy , YELLOW)
 else
   lcd.drawFilledTriangle(X2, Dy, X2, Hy, X4, Dy , YELLOW)  
 end
end
lcd.drawFilledRectangle(X2, Dy, 122, Hobd, YELLOW)
---------------------------------------------------
lcd.drawBitmap(picture,X1,Y1) 
lcd.drawBitmap(panel,X1+137,Y1) 
--------------------------------------------------
lcd.setColor(CUSTOM_COLOR, barva[wgt.options.barvaTxt])
local vyska = getValue("Alt")
  if vyska<100 then 
    lcd.drawText(X2+35, Y2+10, "Alt:  "..round(vyska), CUSTOM_COLOR)-- + SHADOWED) 
  else
    lcd.drawText(X2+35, Y2+10, "Alt: "..round(vyska), CUSTOM_COLOR)-- + SHADOWED)
  end

local rssi = getValue("RSSI")
local vfr =  getValue("VFR")
local nap =  getValue("VFAS")

lcd.drawText(X4+20, Y2-2, "Bat:", CUSTOM_COLOR)-- + SHADOWED) 
lcd.drawText(X4+20, Y2+18, ""..round(nap,1), CUSTOM_COLOR)-- + SHADOWED) 

lcd.drawText(X4+20, Y2+43, "RSSI:", CUSTOM_COLOR)-- + SHADOWED)
lcd.drawText(X4+20, Y2+63, ""..round(rssi), CUSTOM_COLOR)-- + SHADOWED)

lcd.drawText(X4+20, Y2+88, "VFR:", CUSTOM_COLOR)-- + SHADOWED)     
lcd.drawText(X4+20, Y2+108, ""..round(vfr), CUSTOM_COLOR)-- + SHADOWED)     
--------------------------------------------------------

lcd.setColor(LINE_COLOR, GREY)
return
end

return {
  name = "Hzont60E",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}